## ginac 1.8.8

=== check/CMakeLists.txt ===

set(ginac_exams
	exam_paranoia
	exam_heur_gcd
	exam_match
	exam_parser
	exam_numeric
	exam_relational
	exam_powerlaws
	exam_collect
	exam_inifcns
	exam_inifcns_nstdsums
	exam_inifcns_elliptic
	exam_differentiation
	exam_polygcd
	exam_collect_common_factors
	exam_normalization
	exam_sqrfree
	exam_factor
	exam_pseries
	exam_matrices
	exam_lsolve
	exam_indexed
	exam_color
	exam_clifford
	exam_archive
	exam_structure
	exam_misc
	exam_pgcd
	exam_mod_gcd
	exam_real_imag
	exam_chinrem_gcd
	exam_function_exvector
)

set(ginac_checks
	check_numeric
	check_inifcns
	check_matrices
	check_lsolve
	check_cra)

set(ginac_timings
	time_dennyfliegner
	time_gammaseries
	time_vandermonde
	time_toeplitz
	time_lw_A
	time_lw_B
	time_lw_C
	time_lw_D
	time_lw_E
	time_lw_F
	time_lw_G
	time_lw_H
	time_lw_IJKL
	time_lw_M1
	time_lw_M2
	time_lw_N
	time_lw_O
	time_lw_P
	time_lw_Pprime
	time_lw_Q
	time_lw_Qprime
	time_antipode
	time_fateman_expand
	time_uvar_gcd
	time_parser)

macro(add_ginac_test thename)
	if ("${${thename}_sources}" STREQUAL "")
		set(${thename}_sources ${thename}.cpp ${${thename}_extra_src})
	endif()
	add_executable(${thename} EXCLUDE_FROM_ALL ${${thename}_sources})
	target_link_libraries(${thename} ginac::ginac)
	add_dependencies(test_suite ${thename})
	add_dependencies(check ${thename})
	add_test(NAME ${thename} COMMAND $<TARGET_FILE:${thename}>)
endmacro()

macro(add_ginac_timing thename)
	set(${thename}_extra_src timer.cpp randomize_serials.cpp)
	add_ginac_test(${thename})
	target_compile_definitions(${thename} PRIVATE HAVE_CONFIG_H)
endmacro()

set(check_matrices_extra_src genex.cpp)
set(check_lsolve_extra_src genex.cpp)

foreach(exm ${ginac_exams})
	add_ginac_test(${exm})
endforeach()

foreach(chk ${ginac_checks})
	add_ginac_test(${chk})
endforeach()

foreach(tmr ${ginac_timings})
	add_ginac_timing(${tmr})
endforeach()

=== ginac/CMakeLists.txt ===

set(ginaclib_sources
    add.cpp
    archive.cpp
    basic.cpp
    clifford.cpp
    color.cpp
    constant.cpp
    excompiler.cpp
    ex.cpp
    expair.cpp
    expairseq.cpp
    exprseq.cpp
    factor.cpp
    fail.cpp
    fderivative.cpp
    function.cpp
    idx.cpp
    indexed.cpp
    inifcns.cpp
    inifcns_gamma.cpp
    inifcns_nstdsums.cpp
    inifcns_elliptic.cpp
    inifcns_trans.cpp
    integration_kernel.cpp
    integral.cpp
    lst.cpp
    matrix.cpp
    mul.cpp
    ncmul.cpp
    normal.cpp
    numeric.cpp
    operators.cpp
    parser/default_reader.cpp
    parser/lexer.cpp
    parser/parse_binop_rhs.cpp
    parser/parse_context.cpp
    parser/parser_compat.cpp
    parser/parser.cpp
    polynomial/chinrem_gcd.cpp
    polynomial/collect_vargs.cpp
    polynomial/cra_garner.cpp
    polynomial/divide_in_z_p.cpp
    polynomial/gcd_uvar.cpp
    polynomial/mgcd.cpp
    polynomial/mod_gcd.cpp
    polynomial/normalize.cpp
    polynomial/optimal_vars_finder.cpp
    polynomial/pgcd.cpp
    polynomial/primpart_content.cpp
    polynomial/remainder.cpp
    polynomial/upoly_io.cpp
    power.cpp
    print.cpp
    pseries.cpp
    registrar.cpp
    relational.cpp
    remember.cpp
    symbol.cpp
    symmetry.cpp
    tensor.cpp
    utils.cpp
    wildcard.cpp
)

set(ginaclib_public_headers
    ginac.h
    add.h
    archive.h
    assertion.h
    basic.h
    class_info.h
    clifford.h
    color.h
    compiler.h
    constant.h
    container.h
    ex.h
    excompiler.h
    expair.h
    expairseq.h 
    exprseq.h
    fail.h
    factor.h
    fderivative.h
    flags.h
    ${CMAKE_CURRENT_BINARY_DIR}/function.h
    hash_map.h
    idx.h
    indexed.h 
    inifcns.h
    integral.h
    integration_kernel.h
    lst.h
    matrix.h
    mul.h
    ncmul.h
    normal.h
    numeric.h
    operators.h 
    power.h
    print.h
    pseries.h
    ptr.h
    registrar.h
    relational.h
    structure.h 
    symbol.h
    symmetry.h
    tensor.h
    version.h
    wildcard.h 
    parser/parser.h 
    parser/parse_context.h
)

set(ginaclib_private_headers
    remember.h
    utils.h
    crc32.h
    hash_seed.h
    utils_multi_iterator.h
    parser/lexer.h
    parser/debug.h
    polynomial/gcd_euclid.h
    polynomial/remainder.h
    polynomial/normalize.h
    polynomial/upoly.h
    polynomial/ring_traits.h
    polynomial/mod_gcd.h
    polynomial/cra_garner.h
    polynomial/upoly_io.h
    polynomial/prem_uvar.h
    polynomial/eval_uvar.h
    polynomial/interpolate_padic_uvar.h
    polynomial/sr_gcd_uvar.h
    polynomial/heur_gcd_uvar.h
    polynomial/chinrem_gcd.h
    polynomial/collect_vargs.h
    polynomial/divide_in_z_p.h
    polynomial/euclid_gcd_wrap.h
    polynomial/eval_point_finder.h
    polynomial/newton_interpolate.h
    polynomial/optimal_vars_finder.h
    polynomial/pgcd.h
    polynomial/poly_cra.h
    polynomial/primes_factory.h
    polynomial/smod_helpers.h
    polynomial/debug.h
)

add_library(ginac ${ginaclib_sources})
add_library(ginac::ginac ALIAS ginac)
set_target_properties(ginac PROPERTIES
	SOVERSION ${ginaclib_soversion}
	VERSION ${ginaclib_version})
target_compile_definitions(ginac
	PUBLIC $<BUILD_INTERFACE:IN_GINAC>
	PRIVATE -DLIBEXECDIR="${LIBEXECDIR}/" HAVE_CONFIG_H
)
target_link_libraries(ginac PUBLIC cln::cln ${LIBDL_LIBRARIES})
target_include_directories(ginac PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>
	$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

if (WIN32 AND CMAKE_COMPILER_IS_GNUCXX AND BUILD_SHARED_LIBS)
	set_target_properties(ginac PROPERTIES
		LINK_FLAGS "-Wl,--enable-auto-import -Wl,--export-all-symbols"
	)
endif()

if (NOT BUILD_SHARED_LIBS)
	set_target_properties(ginac PROPERTIES OUTPUT_NAME "ginac")
	# Avoid the static library vs import library conflict (necessary for
	# m$ toolchain).
	set_target_properties(ginac PROPERTIES PREFIX "lib")
endif()

install(TARGETS ginac
		      EXPORT ginac-exports
	              LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
		      RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
		      ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
)
install(FILES ${ginaclib_public_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/ginac")
install(EXPORT ginac-exports
	FILE ginac-targets.cmake
	NAMESPACE ginac::
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/ginac
)

add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/function.h
	COMMAND ${PYTHON} ${CMAKE_CURRENT_SOURCE_DIR}/function.py -o ${CMAKE_CURRENT_BINARY_DIR}/function.h ${CMAKE_CURRENT_SOURCE_DIR}/function.hppy
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/function.hppy ${CMAKE_CURRENT_SOURCE_DIR}/function.py)

add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/function.cpp
	COMMAND ${PYTHON} ${CMAKE_CURRENT_SOURCE_DIR}/function.py -o ${CMAKE_CURRENT_BINARY_DIR}/function.cpp ${CMAKE_CURRENT_SOURCE_DIR}/function.cppy
	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/function.h ${CMAKE_CURRENT_SOURCE_DIR}/function.cppy ${CMAKE_CURRENT_SOURCE_DIR}/function.py)

=== doc/examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(GiNaC_examples)

if (TARGET ginac)
	add_info_file(ginac-examples)
endif()

if (NOT TARGET ginac AND EXISTS ${CMAKE_CURRENT_LIST_DIR}/ginac/CMakeLists.txt)
	add_subdirectory(${CMAKE_CURRENT_LIST_DIR}/ginac ${CMAKE_CURRENT_BINARY_DIR}/ginac)
endif()

if (NOT TARGET ginac)
	find_package(ginac REQUIRED 1.7.0)
endif()

add_executable(archive1 archive1.cpp)
target_link_libraries(archive1 ginac::ginac)

add_executable(compile1 compile1.cpp)
target_link_libraries(compile1 ginac::ginac)

# XXX: compile2 example uses the Cuba library (http://www.feynarts.de/cuba)
# add_executable(compile2 compile2.cpp)
# target_link_libraries(compile2 ginac::ginac)

add_executable(compile3 compile3.cpp)
target_link_libraries(compile3 ginac::ginac)

add_executable(mystring mystring.cpp)
target_link_libraries(mystring ginac::ginac)

add_executable(derivative derivative.cpp)
target_link_libraries(derivative ginac::ginac)

=== debian/changelog ===
ginac (1.8.8-1) unstable; urgency=low

  * New upstream release: binary incompatible, it's libginac13 now.

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 03 Jan 2025 01:14:17 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir='$${libdir}/ginac' --disable-rpath

override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

override_dh_installdocs:
	dh_installdocs -- NEWS README AUTHORS

## ginac 1.8.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

project(GiNaC)
file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/ginac/version.h _ginac_vinfo REGEX "^#define[\t ]+GINACLIB_.*_VERSION.*")
string(REGEX REPLACE "^.*GINACLIB_MAJOR_VERSION[ \t]+([0-9]+).*" "\\1" GINAC_MAJOR_VERSION "${_ginac_vinfo}")
string(REGEX REPLACE "^.*GINACLIB_MINOR_VERSION[ \t]+([0-9]+).*" "\\1" GINAC_MINOR_VERSION "${_ginac_vinfo}")
string(REGEX REPLACE "^.*GINACLIB_MICRO_VERSION[ \t]+([0-9]+).*" "\\1" GINAC_MICRO_VERSION "${_ginac_vinfo}")
set(GINAC_VERSION "${GINAC_MAJOR_VERSION}.${GINAC_MINOR_VERSION}.${GINAC_MICRO_VERSION}")

# Library versioning info
file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/ginac/version.h _ginac_vinfo REGEX "^#define[\t ]+GINAC_LT_.*")
string(REGEX REPLACE "^.*GINAC_LT_CURRENT[ \t]+([0-9]+).*" "\\1" ginac_lt_current "${_ginac_vinfo}")
string(REGEX REPLACE "^.*GINAC_LT_AGE[ \t]+([0-9]+).*" "\\1" ginac_lt_age "${_ginac_vinfo}")
string(REGEX REPLACE "^.*GINAC_LT_REVISION[ \t]+([0-9]+).*" "\\1" ginac_lt_revision "${_ginac_vinfo}")
# XXX: it looks like we need to set this for every platform?
math(EXPR ginaclib_soversion "${ginac_lt_current} - ${ginac_lt_age}")
set(ginaclib_version ${ginaclib_soversion}.${ginac_lt_age}.${ginac_lt_revision})

include(GNUInstallDirs)

# make check
enable_testing()
if (NOT TARGET check)
	add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
endif()
if (NOT TARGET test_suite)
	add_custom_target(test_suite)
endif()
if (WIN32)
	if (NOT DEFINED CMAKE_RUNTIME_OUTPUT_DIRECTORY)
		set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)
	endif()
endif()
# make info
if (NOT TARGET info)
	add_custom_target(info ALL)
endif()
if (NOT TARGET html)
	add_custom_target(html)
endif()
if (NOT TARGET pdf)
	add_custom_target(pdf)
endif()

set (CMAKE_CXX_STANDARD 11)

if (NOT DEFINED CLN_SOURCE_DIR)
	set(CLN_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/cln)
endif()
if (EXISTS ${CLN_SOURCE_DIR}/CMakeLists.txt)
	add_subdirectory(${CLN_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/cln)
else()
	find_package(CLN 1.2.2 REQUIRED)
endif()

include(CheckIncludeFile)
check_include_file("unistd.h" HAVE_UNISTD_H)

if (NOT DEFINED BUILD_SHARED_LIBS)
	if (NOT MSVC)
		set(BUILD_SHARED_LIBS true)
	else()
		set(BUILD_SHARED_LIBS false)
	endif()
endif()

# Set proper rpath so tools will Just Work(TM) after make install.
# Also take care to add -Wl,-rpath, stanza into the *.pc file so that
#
# g++ `pkg-config --cflags --libs ginac`
#
# will Just Work (TM), too.
# Distro packagers should use -DCMAKE_INSTALL_RPATH="" to avoid
# setting rpath on installed binaries.

# rpath for making binaries/libraries relocatable
set(_ginac_rpath_reloc "$ORIGIN/../lib")
set(_wl_rpath "${CMAKE_SHARED_LIBRARY_RUNTIME_C_FLAG}")

# rpath for the pkg-config meta-data.
set(_ginaclib_rpath "${_wl_rpath}${_ginac_rpath_reloc}")
list(FIND CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemDir)
if ("${isSystemDir}" STREQUAL "-1")
	list(APPEND _ginaclib_rpath "${_wl_rpath}\${libdir}")
endif()
set(GINACLIB_RPATH)
if (NOT CMAKE_SKIP_RPATH)
	if (_wl_rpath)
		set(GINACLIB_RPATH "${_ginaclib_rpath}")
	endif()
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ginac.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/ginac.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ginac.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# rpath for libginac.so itself, ginsh, and friends
set(_ginac_rpath ${_ginac_rpath_reloc})
foreach(_d ${CLN_LIBRARY_DIRS} ${CMAKE_INSTALL_FULL_LIBDIR})
	list(FIND CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES "${_d}" isSystemDir)
	if ("${isSystemDir}" STREQUAL "-1")
		list(APPEND _ginac_rpath "${_d}")
	endif()
endforeach()
list(REMOVE_DUPLICATES _ginac_rpath)
string(REPLACE ";" ":" ginac_rpath "${_ginac_rpath}")

if (NOT DEFINED CMAKE_INSTALL_RPATH_USE_LINK_RPATH)
	set(CMAKE_INSTALL_RPATH_USE_LINK_RPATH TRUE)
endif()
if (NOT DEFINED CMAKE_INSTALL_RPATH)
	set(CMAKE_INSTALL_RPATH ${ginac_rpath})
endif()
if (APPLE AND NOT DEFINED CMAKE_INSTALL_NAME_DIR)
	set(CMAKE_INSTALL_NAME_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

list(FIND CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemDir)
if ("${isSystemDir}" STREQUAL "-1")
	string(REPLACE ":" ";" _install_rpath "${CMAKE_INSTALL_RPATH}")
	list(FIND _install_rpath "${CMAKE_INSTALL_FULL_LIBDIR}" _is_rpath_consistent)
	if ("${_is_rpath_consistent}" STREQUAL "-1")
		message(WARNING "the libginac.so library will be installed into "
			"a non-standard directory (${CMAKE_INSTALL_FULL_LIBDIR}), "
				"however, the rpath (${_install_rpath}) "
				"does not contain that directory. Most likely "
				"things won't work without extra configuration "
				"(tweaking LD_LIBRARY_PATH, /etc/ld.so.conf, etc).")
	endif()
endif()

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
	${CMAKE_CURRENT_BINARY_DIR}/ginac-config-version.cmake
	VERSION ${GINAC_VERSION}
	COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(${CMAKE_CURRENT_LIST_DIR}/cmake/ginac-config.cmake.in
	${CMAKE_CURRENT_BINARY_DIR}/ginac-config.cmake
	INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/ginac
)

install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/ginac-config.cmake
	${CMAKE_CURRENT_BINARY_DIR}/ginac-config-version.cmake
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/ginac
)

include(FindFLEX)
include(FindBISON)
find_package(BISON)
find_package(FLEX)
find_package(Readline)
if (READLINE_FOUND)
	set(HAVE_LIBREADLINE 1)
	set(HAVE_READLINE_READLINE_H 1)
	set(HAVE_READLINE_HISTORY_H 1)
endif()

find_package(LibDL)
if (LIBDL_FOUND)
	set(HAVE_LIBDL 1)
endif()

find_program(MAKEINFO makeinfo)
find_program(FIG2DEV fig2dev)
find_program(PYTHON python)
if (NOT PYTHON)
	find_program(PYTHON python3)
endif()
if (NOT PYTHON)
	message(FATAL_ERROR "Python version 3 or 2 is required")
endif()


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

if (NOT LIBEXECDIR)
	set (LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/libexec")
endif()

add_subdirectory(ginac)
add_subdirectory(tools)
add_subdirectory(check)
if (BISON_FOUND AND FLEX_FOUND)
	add_subdirectory(ginsh)
endif()
if (MAKEINFO)
	add_subdirectory(doc)
endif()

=== doc/CMakeLists.txt ===
find_package(Doxygen)
find_program(FIG2DEV fig2dev)
find_program(TEXI2DVI texi2dvi)
find_package(LATEX)
if (PDFLATEX_COMPILER AND MAKEINDEX_COMPILER)
	set(LATEX_FOUND true)
endif()

macro(add_info_file thename)
	set(${thename}_INFO ${CMAKE_CURRENT_BINARY_DIR}/${thename}.info)
	set(${thename}_HTML ${CMAKE_CURRENT_BINARY_DIR}/${thename}.html)
	set(${thename}_TEXINFO ${CMAKE_CURRENT_SOURCE_DIR}/${thename}.texi)
	add_custom_command(
		OUTPUT ${${thename}_INFO}
		COMMAND ${MAKEINFO} --no-split -o ${${thename}_INFO} ${${thename}_TEXINFO}
		DEPENDS ${${thename}_TEXINFO}
		COMMENT "MAKEFINO ${thename}.texi"
		VERBATIM)
	add_custom_command(
		OUTPUT ${${thename}_HTML}
		COMMAND ${MAKEINFO} --html --no-split -o ${${thename}_HTML} ${${thename}_TEXINFO}
		DEPENDS ${${thename}_TEXINFO} ${${thename}_HTML_EXTRA_DEPS}
		COMMENT "MAKEINFOHTML ${thename}.texi"
		VERBATIM)
	add_custom_target(${thename}_info ALL DEPENDS ${${thename}_INFO})
	add_custom_target(${thename}_html DEPENDS ${${thename}_HTML})
	add_dependencies(info ${thename}_info)
	add_dependencies(html ${thename}_html)
	install(FILES ${${thename}_INFO} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/info")
endmacro()

macro(pdflatex_process texfile)
	get_filename_component(_dirname "${texfile}" PATH)
	get_filename_component(_basename "${texfile}" NAME_WE)
	set(_idx ${_dirname}/${_basename}.idx)
	set(_ind ${_dirname}/${_basename}.ind)
	set(_pdf ${_dirname}/${_basename}.pdf)
	add_custom_command(
		OUTPUT ${_idx}
		COMMAND ${PDFLATEX_COMPILER} ${texfile}
		WORKING_DIRECTORY ${_dirname}
		DEPENDS ${texfile}
		COMMENT "PDFLATEX ${_basename}.tex (1)")
	add_custom_command(
		OUTPUT ${_ind}
		COMMAND ${MAKEINDEX_COMPILER} ${_idx}
		WORKING_DIRECTORY ${_dirname}
		DEPENDS ${texfile} ${_idx}
		COMMENT "MAKEINDEX ${_basename}.idx")
	add_custom_command(
		OUTPUT ${_pdf}
		COMMAND ${PDFLATEX_COMPILER} ${texfile}
		WORKING_DIRECTORY ${_dirname}
		DEPENDS ${texfile} ${_ind}
		COMMENT "PDFLATEX ${_basename}.tex (2)")
endmacro()

add_subdirectory(tutorial)
add_subdirectory(examples)
if (DOXYGEN_FOUND)
	add_subdirectory(reference)
endif()

=== tools/CMakeLists.txt ===

add_executable(viewgar viewgar.cpp)
target_link_libraries(viewgar ginac::ginac)
install(TARGETS viewgar RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

if (CMAKE_COMPILER_IS_GNUCC)
	set (CC gcc)
	configure_file (
          "${CMAKE_CURRENT_SOURCE_DIR}/ginac-excompiler.in"
          "${CMAKE_CURRENT_BINARY_DIR}/ginac-excompiler"
	)

	install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ginac-excompiler DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}")
endif (CMAKE_COMPILER_IS_GNUCC)

=== doc/tutorial/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.texi.cmake
	       ${CMAKE_CURRENT_BINARY_DIR}/version.texi @ONLY)

set(_ginac_tutorial_figures classhierarchy repnaive reppair repreal)
set(_ginac_tutorial_figures_pdf)
set(_ginac_tutorial_figures_png)
set(_ginac_tutorial_figures_eps)

macro(add_xfig_figure thename)
	set(${thename}_XFIG ${CMAKE_CURRENT_SOURCE_DIR}/${thename}.fig)
	set(${thename}_PDF ${CMAKE_CURRENT_BINARY_DIR}/${thename}.pdf)
	set(${thename}_EPS ${CMAKE_CURRENT_BINARY_DIR}/${thename}.eps)
	set(${thename}_PNG ${CMAKE_CURRENT_BINARY_DIR}/${thename}.png)
	list(APPEND _ginac_tutorial_figures_pdf ${${thename}_PDF})
	list(APPEND _ginac_tutorial_figures_png ${${thename}_PNG})
	list(APPEND _ginac_tutorial_figures_png ${${thename}_EPS})
	add_custom_command(
		OUTPUT ${${thename}_PDF}
		COMMAND ${FIG2DEV} -L pdf -m 0.9 ${${thename}_XFIG} ${${thename}_PDF}
		DEPENDS ${${thename}_XFIG}
		COMMENT "FIG2DEV ${thename}.xfig ==> ${thename}.pdf"
		VERBATIM)
	add_custom_command(
		OUTPUT ${${thename}_EPS}
		COMMAND ${FIG2DEV} -L eps -m 0.9 ${${thename}_XFIG} ${${thename}_EPS}
		DEPENDS ${${thename}_XFIG}
		COMMENT "FIG2DEV ${thename}.xfig ==> ${thename}.eps"
		VERBATIM)
	add_custom_command(
		OUTPUT ${${thename}_PNG}
		COMMAND ${FIG2DEV} -L png -m 0.9 ${${thename}_XFIG} ${${thename}_PNG}
		DEPENDS ${${thename}_XFIG}
		COMMENT "FIG2DEV ${thename}.xfig ==> ${thename}.png"
		VERBATIM)
endmacro()

macro(add_doc_format src fmt)
	set(_out ${CMAKE_CURRENT_BINARY_DIR}/${src}.${fmt})
	set(_src ${CMAKE_CURRENT_SOURCE_DIR}/${src}.texi)
	add_custom_command(
		OUTPUT ${_out}
		COMMAND ${TEXI2DVI} --${fmt} --batch -o ${_out} ${_src}
		DEPENDS ${_src} ${_${src}_tutorial_figures_${fmt}}
		COMMENT "TEXI2DVI ${src}.texi => ${src}.${fmt}"
		VERBATIM)
	add_custom_target(${fmt}_${src}_tutorial DEPENDS ${_out})
	add_dependencies(${fmt} ${fmt}_${src}_tutorial)
endmacro()

if (TEXI2DVI AND FIG2DEV)
	foreach(_f ${_ginac_tutorial_figures})
		add_xfig_figure(${_f})
	endforeach()
	set(ginac_HTML_EXTRA_DEPS ${_ginac_tutorial_figures_png})
	add_doc_format(ginac pdf)
endif()

add_info_file(ginac)

=== debian/changelog ===
ginac (1.8.9-1) unstable; urgency=low

  * New upstream release; closes: #1114125.

 -- Richard B. Kreckel <kreckel@debian.org>  Sat, 06 Sep 2025 12:56:01 +0200

=== debian/control ===
Source: ginac
Section: math
Priority: optional
Maintainer: Richard Kreckel <kreckel@ginac.de>
Build-Depends: debhelper-compat (= 13), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, python3:any, texinfo
Standards-Version: 4.7.0
Homepage: http://www.ginac.de/

Package: libginac13
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ginac-tools
Description: GiNaC symbolic framework runtime library
 GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra System)") is a
 library for doing symbolic (i.e. non-numeric) computation directly in the C++
 programming language.
 .
 This package provides the runtime library.

Package: libginac-dev
Architecture: any
Section: libdevel
Depends: libginac13 (= ${binary:Version}), ${misc:Depends}, libcln-dev
Recommends: info | info-browser
Suggests: ginac-tools
Description: GiNaC symbolic framework development files
 GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra System)") is a
 library for doing symbolic (i.e. non-numeric) computation directly in the C++
 programming language.
 .
 This package provides header files, a static library plus a tutorial as info
 file.

Package: ginac-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: doc-base
Description: GiNaC symbolic framework support tools
 GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra System)") is a
 library for doing symbolic (i.e. non-numeric) computation directly in the C++
 programming language.
 .
 This package provides some additional tools, like the popular ginsh (GiNaC
 interactive shell) and viewgar (for inspecting GiNaC archive files).

=== debian/watch ===
version=4
https://www.ginac.de/Download.html ginac-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ginac 1.8.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	add_custom_target(pdf)
 endif()
 
-set (CMAKE_CXX_STANDARD 11)
+set (CMAKE_CXX_STANDARD 14)
 
 if (NOT DEFINED CLN_SOURCE_DIR)
 	set(CLN_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/cln)

=== check/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
 set(ginac_exams
 	exam_paranoia
+	exam_Gt
 	exam_heur_gcd
 	exam_match
 	exam_parser
@@ -45,6 +46,7 @@
 	time_gammaseries
 	time_vandermonde
 	time_toeplitz
+	time_Gt
 	time_lw_A
 	time_lw_B
 	time_lw_C

=== ginac/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,8 @@
     inifcns_trans.cpp
     integration_kernel.cpp
     integral.cpp
+    Gt.cpp
+    Gt_helpers.cpp
     lst.cpp
     matrix.cpp
     mul.cpp
@@ -86,6 +88,8 @@
     flags.h
     ${CMAKE_CURRENT_BINARY_DIR}/function.h
     hash_map.h
+    Gt.h
+    Gt_helpers.h
     idx.h
     indexed.h 
     inifcns.h

=== debian/changelog ===
ginac (1.8.10-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Wed, 11 Feb 2026 18:37:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ginac
 Section: math
-Priority: optional
 Maintainer: Richard Kreckel <kreckel@ginac.de>
-Build-Depends: debhelper-compat (= 13), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, python3:any, texinfo
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), libcln-dev, libgmp-dev, libreadline-dev, pkgconf, python3:any, texinfo
+Standards-Version: 4.7.3
 Homepage: http://www.ginac.de/
 
 Package: libginac13
